Compare commits

..

15 Commits

Author SHA1 Message Date
Max Brenner
fdf0924c62 add clustersysteminfo delay 2021-12-22 19:26:09 +01:00
Dmitry Dunaev
2f1b59bec3 [WIFI-2617] Fix: owls and owls-ui should be explicitly disabled 2021-12-17 06:36:32 +03:00
Johann Hoffmann
983d427d2f Fix permissions
Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>
2021-12-16 17:45:40 +01:00
Johann Hoffmann
fab8de7a55 [WIFI-6170] Add OpenWifi Docker Compose deployment with PostgreSQL (#43)
* Add Compose override file with PostgreSQL service and related files

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>

* Remove unnecessary tags

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>

* Update README.md

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>

* Wait for DB readiness

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>

* Add root and data directory variables to microservice env files

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>
2021-12-16 17:26:27 +01:00
Dmitry Dunaev
d80824845d Merge pull request #42 from Telecominfraproject/feature/wifi-2617--helm-add-owls
[WIFI-2617] Add: owls and owls-ui as optional helm dependency
2021-12-15 15:35:14 +03:00
Dmitry Dunaev
5ceb12beb9 [WIFI-2617] Add: owls and owls-ui as optional helm dependency
Signed-off-by: Dmitry Dunaev <dmitry@opsfleet.com>
2021-12-15 15:33:05 +03:00
Johann Hoffmann
285b0a5533 [WIFI-5721] Create docker-compose for OWLS (#36)
* Add OWLS Compose deployment

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>

* Use different hostname for OWLS deployment and expose OWSec on different host ports

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>

* Add OWLS-UI and switch to default ports

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>

* Add env file for owls-ui

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>

* Update README.md

Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>
2021-12-14 15:35:02 +01:00
Dmitry Dunaev
c3eb565418 Add: possible verbosity levels to git-release workflow
Signed-off-by: Dmitry Dunaev <dmitry@opsfleet.com>
2021-12-06 14:19:04 +03:00
Dmitry Dunaev
84179f82dc Merge pull request #40 from Telecominfraproject/feature/wifi-4648--git-release-tool
[WIFI-4648] Add: script to manually create release
2021-12-03 13:01:12 +03:00
Dmitry Dunaev
e2431e6074 [WIFI-4648] Add: script to manually create release
Signed-off-by: Dmitry Dunaev <dmitry@opsfleet.com>
2021-12-02 14:47:41 +03:00
Johann Hoffmann
9cba34e38d Update README.md 2021-11-30 11:40:03 +01:00
Johann Hoffmann
195d5e2cea Update README.md 2021-11-23 13:05:19 +01:00
Johann Hoffmann
2cefc802e9 Update README.md 2021-11-22 13:53:21 +01:00
Dmitry Dunaev
bbd80c584e Merge pull request #37 from Telecominfraproject/feature/wifi-4860--add-ensure-jira-issue-key-workflow
[WIFI-4860] Add: enforce-jira-issue-key workflow
2021-11-19 15:49:49 +03:00
Johann Hoffmann
ce5ca91599 Disable emitting nginx version (#35)
Signed-off-by: Johann Hoffmann <johann.hoffmann@mailbox.org>
Signed-off-by: Dmitry Dunaev <dmitry@opsfleet.com>
2021-11-19 15:48:14 +03:00
12 changed files with 488 additions and 280 deletions

352
.github/git-release-tool/git-release-tool.sh vendored Executable file
View File

@@ -0,0 +1,352 @@
#!/bin/bash
set -e
# git-release-tool
# This script is used to manually cut releases for the TIP OpenWIFI CloudSDK 2.x repos
# For other details, see "usage" function or simply run script
# Constants
export PAGER=cat
# Internal vars
LOG_VERBOSITY_NUMBER=0
REPO_TAGS_ARRAY=()
# Helper functions
## Logging functions
log_notice() {
echo "[Notice] "$1
}
log_error() {
if [[ "$LOG_VERBOSITY_NUMBER" -ge 0 ]]; then
echo "[Error] "$1 >/dev/stderr
fi
}
log_info() {
if [[ "$LOG_VERBOSITY_NUMBER" -ge 1 ]]; then
echo "[Info] "$1
fi
}
log_debug() {
if [[ "$LOG_VERBOSITY_NUMBER" -ge 2 ]]; then
echo "[Debug] "$1
fi
}
## Usage info
usage() {
echo
log_notice "$0 - script to cut releases for TIP OpenWIFI CloudSDK 2.x repos"
log_notice
log_notice "This script requires configuration file 'repositories.yaml' near the script and list of environment variables to work"
log_notice
log_notice "repositories.yaml file format:"
echo "deploy_repo_url: git@github.com:Telecominfraproject/wlan-cloud-ucentral-deploy.git # modify if repo name changes"
echo "repositories:"
echo " - name: owgw-ui # should be the same as in image repository in helm values (i.e. tip-tip-wlan-cloud-ucentral.jfrog.io/owgw-ui)"
echo " url: git@github.com:Telecominfraproject/wlan-cloud-owprov-ui.git # it's up to you to use SSH or HTTPS format and setup credentials for push/pull"
echo " docker_compose_name: OWPROVUI # name of environment variable in docker-compose .env file containing image tag for the service"
log_notice
log_notice "List of required environment variables:"
log_notice "- RELEASE_VERSION - release version that should be applied to repositories. Should comply release nameing policy (valid example - 'v2.0.0')"
log_notice "- TAG_TYPE - type of tag that should be created for release (supported values - RC / FINAL)"
log_notice "- GIT_PUSH_CONFIRMED - confirmation that any changes should be pushed to git (dry-run if unset, set to 'true' to enable)"
log_notice
log_notice "You may increase log verbosity by setting environment variable LOG_VERBOSITY to required level (ERROR/INFO/DEBUG)"
#
}
## Setting functions
set_log_verbosity_number() {
# Log verbosity levels:
# 0 - ERROR
# 1 - INFO
# 2 - DEBUG
case $LOG_VERBOSITY in
ERROR )
LOG_VERBOSITY_NUMBER=0
;;
INFO )
LOG_VERBOSITY_NUMBER=1
;;
DEBUG )
LOG_VERBOSITY_NUMBER=2
;;
* )
log_notice "Setting LOG_VERBOSITY to INFO by default"
LOG_VERBOSITY_NUMBER=1
;;
esac
}
## Git manipulation functions
modify_deploy_repo_values() {
NEW_RELEASE_TAG=$1
log_debug "NEW_RELEASE_TAG - $NEW_RELEASE_TAG"
REPOSITORIES_AMOUNT=$(cat ../repositories.yaml | yq ".repositories[].name" -r | wc -l)
for REPO_INDEX in $(seq 0 $(expr $REPOSITORIES_AMOUNT - 1)); do
REPO_URL=$(cat ../repositories.yaml | yq ".repositories[$REPO_INDEX].url" -r)
REPO_NAME_SUFFIXED=$(echo $REPO_URL | awk -F '/' '{print $NF}')
REPO_NAME_WITHOUT_SUFFIX=${REPO_NAME_SUFFIXED%.git}
REPO_DOCKER_COMPOSE_NAME=$(cat ../repositories.yaml | yq ".repositories[$REPO_INDEX].docker_compose_name" -r)
SERVICE_TAG="${REPO_TAGS_ARRAY[$REPO_INDEX]}"
log_debug "REPO_NAME_WITHOUT_SUFFIX - $REPO_NAME_WITHOUT_SUFFIX"
sed "s/$REPO_DOCKER_COMPOSE_NAME=.*/$REPO_DOCKER_COMPOSE_NAME=$SERVICE_TAG/" -i docker-compose/.env
sed "s/$REPO_DOCKER_COMPOSE_NAME=.*/$REPO_DOCKER_COMPOSE_NAME=$SERVICE_TAG/" -i docker-compose/.env.letsencrypt
sed "s/$REPO_DOCKER_COMPOSE_NAME=.*/$REPO_DOCKER_COMPOSE_NAME=$SERVICE_TAG/" -i docker-compose/.env.selfsigned
sed "/${REPO_NAME_WITHOUT_SUFFIX#*/}@/s/ref=.*/ref=$SERVICE_TAG\"/g" -i chart/Chart.yaml
done
if [[ "$(git diff | wc -l)" -eq "0" ]]; then
log_info "No changes in microservices found, new release is not required"
else
sed 's/^version: .*/version: '${NEW_RELEASE_TAG#v}'/' chart/Chart.yaml -i
if [[ "$GIT_PUSH_CONFIRMED" == "true" ]]; then
log_info "Updating helm dependencies:"
cd chart
helm dependency update
cd ..
else
log_info "Skipping helm charts update due to GIT_PUSH_CONFIRMED not being set to 'true'"
fi
fi
git diff
}
modify_values() {
NEW_RELEASE_TAG=$1
if [[ "$(basename $PWD)" == "deploy" ]]; then
modify_deploy_repo_values $NEW_RELEASE_TAG
else
sed "/repository: tip-tip-wlan-cloud-ucentral.jfrog.io\/$(basename $PWD)/!b;n;s/tag: .*/tag: $NEW_RELEASE_TAG/" -i helm/values.yaml
fi
if [[ "$LOG_VERBOSITY_NUMBER" -ge 2 ]]; then
log_debug "Diff to me commited:"
git diff
fi
git add .
git commit -m"Chg: update image tag in helm values to $NEW_RELEASE_TAG"
}
push_changes() {
CURRENT_RELEASE=$(git rev-parse --abbrev-ref HEAD)
if [[ "$GIT_PUSH_CONFIRMED" == "true" ]]; then
log_info "Pushing branch changes and tags:"
git push -u origin $CURRENT_RELEASE
git push --tags
else
log_info "Skipping pushing of branch and tags due to GIT_PUSH_CONFIRMED not being set to 'true'"
fi
}
create_tag() {
CURRENT_RELEASE_VERSION=$(git rev-parse --abbrev-ref HEAD | awk -F 'release/' '{print $2}')
TAG_TYPE_LOWERED=$(echo $TAG_TYPE | tr '[:upper:]' '[:lower:]')
if [[ "$TAG_TYPE_LOWERED" == "final" ]]; then
log_debug "Creating final tag"
modify_values $CURRENT_RELEASE_VERSION
git tag $CURRENT_RELEASE_VERSION
push_changes
REPO_TAGS_ARRAY+=($CURRENT_RELEASE_VERSION)
else
log_debug "Checking if there are tags in the current release branch"
LATEST_RELEASE_TAG=$(git tag | grep $CURRENT_RELEASE_VERSION | tail -1)
log_debug "Latest release tag found - '$LATEST_RELEASE_TAG'"
if [[ -z "$LATEST_RELEASE_TAG" ]]; then
log_info "There are no tags in the release branch, creating the first one"
NEW_RELEASE_TAG=$CURRENT_RELEASE_VERSION-RC1
log_debug "New tag - $NEW_RELEASE_TAG"
modify_values $NEW_RELEASE_TAG
git tag $NEW_RELEASE_TAG
push_changes
REPO_TAGS_ARRAY+=($NEW_RELEASE_TAG)
else
if [[ "$(basename $PWD)" == "deploy" ]]; then
NEW_RC=$(echo $LATEST_RELEASE_TAG | awk -F 'RC' '{print $2}')
NEW_RC=$(expr $NEW_RC + 1)
log_debug "New RC to create - $NEW_RC"
NEW_RELEASE_TAG=$CURRENT_RELEASE_VERSION-RC$NEW_RC
modify_deploy_repo_values $NEW_RELEASE_TAG
if [[ "v$(cat chart/Chart.yaml | yq '.version' -r)" == "$NEW_RELEASE_TAG" ]]; then
git add .
git commit -m"Chg: update image tag in helm values to $NEW_RELEASE_TAG"
git tag $NEW_RELEASE_TAG
push_changes
log_info "New tag $NEW_RELEASE_TAG was created and pushed"
REPO_TAGS_ARRAY+=($NEW_RELEASE_TAG)
else
log_info "New tag for deploy repo is not required, saving existing one ($LATEST_RELEASE_TAG)"
REPO_TAGS_ARRAY+=($LATEST_RELEASE_TAG)
fi
else
log_debug "Checking if the latest tag is on the latest commit"
LATEST_REVISION=$(git rev-parse HEAD)
LATEST_RELEASE_TAG_REVISION=$(git rev-parse $LATEST_RELEASE_TAG)
log_debug "Latest revision ----- $LATEST_REVISION"
log_debug "Latest tag revision - $LATEST_RELEASE_TAG_REVISION"
if [[ "$LATEST_REVISION" == "$LATEST_RELEASE_TAG_REVISION" ]]; then
log_info "Existing tag $LATEST_RELEASE_TAG is pointing to the latest commit in the release branch"
REPO_TAGS_ARRAY+=($LATEST_RELEASE_TAG)
else
NEW_RC=$(echo $LATEST_RELEASE_TAG | awk -F 'RC' '{print $2}')
NEW_RC=$(expr $NEW_RC + 1)
log_debug "New RC to create - $NEW_RC"
NEW_RELEASE_TAG=$CURRENT_RELEASE_VERSION-RC$NEW_RC
modify_values $NEW_RELEASE_TAG
git tag $NEW_RELEASE_TAG
push_changes
log_info "New tag $NEW_RELEASE_TAG was created and pushed"
REPO_TAGS_ARRAY+=($NEW_RELEASE_TAG)
fi
fi
fi
fi
}
check_final_tag() {
CURRENT_RELEASE_VERSION=$(git rev-parse --abbrev-ref HEAD | awk -F 'release/' '{print $2}')
log_debug "Amount of final tags found - $(git tag | grep -x $CURRENT_RELEASE_VERSION | wc -l)"
if [[ "$(git tag | grep -x $CURRENT_RELEASE_VERSION | wc -l)" -gt "0" ]]; then
log_error "Final tag $CURRENT_RELEASE_VERSION already exists in release branch"
exit 1
fi
}
check_git_tags() {
CURRENT_RELEASE_VERSION=$(git rev-parse --abbrev-ref HEAD | awk -F 'release/' '{print $2}')
RELEASE_TAGS_AMOUNT=$(git tag | grep $CURRENT_RELEASE_VERSION | wc -l)
log_debug "Amount of tags linked with the release - $RELEASE_TAGS_AMOUNT"
if [[ "$RELEASE_TAGS_AMOUNT" -gt "0" ]]; then
check_final_tag
fi
create_tag
}
check_release_branch() {
RELEASE_BRANCH=$1
git checkout $RELEASE_BRANCH -q
check_git_tags
}
create_release_branch() {
git checkout -b release/$RELEASE_VERSION -q
check_release_branch release/$RELEASE_VERSION
}
check_if_release_branch_required() {
LATEST_RELEASE_BRANCH=$(git branch -r | grep 'release/' | tail -1 | xargs)
log_debug "Latest release branch available - $LATEST_RELEASE_BRANCH"
if [[ -z "$LATEST_RELEASE_BRANCH" ]]; then
log_info "Could not find a single release branch, creating it"
create_release_branch $RELEASE_VERSION
else
LAST_RELEASE_DIFF_LINES_AMOUNT=$(git diff $LATEST_RELEASE_BRANCH ':(exclude)helm/values.yaml' | wc -l)
if [[ "$LAST_RELEASE_DIFF_LINES_AMOUNT" -eq "0" ]]; then
log_info "There are no changes in project since the latest release branch $LATEST_RELEASE_BRANCH so we will use tag from it"
LATEST_RELEASE=$(echo $LATEST_RELEASE_BRANCH | awk -F 'origin/' '{print $2}')
LATEST_RELEASE_TAG=$(git tag | grep -x $LATEST_RELEASE | tail -1)
if [[ -z "$LATEST_RELEASE_TAG" ]]; then
log_info "Could not find any tags for $LATEST_RELEASE release, creating it"
check_release_branch $LATEST_RELEASE
else
log_info "Latest release tag found - $LATEST_RELEASE_TAG"
REPO_TAGS_ARRAY+=($LATEST_RELEASE_TAG)
fi
else
create_release_branch $RELEASE_VERSION
fi
fi
}
create_repo_version() {
CWD=$PWD
REPO_NAME=$1
REPO_URL=$2
rm -rf $REPO_NAME
git clone -q $REPO_URL $REPO_NAME
cd $REPO_NAME
DEFAULT_BRANCH=$(git rev-parse --abbrev-ref HEAD)
RELEASE_BRANCH=$(git branch -r | grep $RELEASE_VERSION | awk -F 'origin/' '{print $2}' | xargs)
log_debug "Release branch to check - '$RELEASE_BRANCH'"
if [[ ! -z "$RELEASE_BRANCH" ]]; then
log_info "Release branch $RELEASE_BRANCH exists in the repository, checking if it has tags"
check_release_branch $RELEASE_BRANCH
else
log_info "Release branch does not exists in the repository, checking if we need to create it"
check_if_release_branch_required $DEFAULT_BRANCH
fi
log_info "Release commit info:"
git show
cd $CWD
rm -rf $REPO_NAME
}
# Log level setup
set_log_verbosity_number
# Check system requirements
if ! command -v yq &> /dev/null; then
log_error "Command yq could not be found"
usage
exit 2
fi
if ! command -v sed &> /dev/null; then
log_error "Command sed could not be found"
usage
exit 2
fi
if ! command -v helm &> /dev/null; then
log_error "Command helm could not be found"
usage
exit 2
fi
if [[ "$(helm plugin list | grep -wP '(helm-git|diff)' | wc -l)" -ne "2" ]]; then
log_error "Helm plugins (helm-git and/or diff) are missing"
usage
exit 2
fi
# Check variables
log_debug "Release version: ${RELEASE_VERSION}"
[ -z ${RELEASE_VERSION+x} ] && echo "RELEASE_VERSION is unset" && usage && exit 3
echo "${RELEASE_VERSION}" | grep -xP "v(\d)+\.(\d)+\.\d+" >/dev/null || (log_error "RELEASE_VERSION is not in the right notation (correct example - v2.2.0)" && usage && exit 3)
log_debug "Tag type: ${TAG_TYPE}"
[ -z ${TAG_TYPE+x} ] && echo "TAG_TYPE is unset" && usage && exit 3
echo "${TAG_TYPE}" | tr '[:upper:]' '[:lower:]' | grep -xP "(rc|final)" >/dev/null || (log_error "TAG_TYPE is not in the supported values ('rc' or 'final', case insensitive)" && usage && exit 3)
# Main body
REPOSITORIES_AMOUNT=$(cat repositories.yaml | yq ".repositories[].name" -r | wc -l)
DEPLOY_REPO_URL=$(cat repositories.yaml | yq ".deploy_repo_url" -r)
log_debug "DEPLOY_REPO_URL - $DEPLOY_REPO_URL"
log_info "Checking repositories"
log_info "Found $REPOSITORIES_AMOUNT repos to process"
for REPO_INDEX in $(seq 0 $(expr $REPOSITORIES_AMOUNT - 1)); do
echo
REPO_NAME=$(cat repositories.yaml | yq ".repositories[$REPO_INDEX].name" -r)
REPO_URL=$(cat repositories.yaml | yq ".repositories[$REPO_INDEX].url" -r)
REPO_DOCKER_COMPOSE_NAME=$(cat repositories.yaml | yq ".repositories[$REPO_INDEX].docker_compose_name" -r)
log_debug "REPO_NAME - $REPO_NAME"
log_debug "REPO_URL - $REPO_URL"
log_debug "REPO_DOCKER_COMPOSE_NAME - $REPO_DOCKER_COMPOSE_NAME"
log_info "Processing repository '$REPO_NAME'"
create_repo_version $REPO_NAME $REPO_URL
done
log_debug "Tags per project: ${REPO_TAGS_ARRAY[*]}"
echo
log_info "Preparing changes in deploy repo"
create_repo_version "deploy" $DEPLOY_REPO_URL
echo
log_info "Services versions:"
for REPO_INDEX in $(seq 0 $(expr $REPOSITORIES_AMOUNT - 1)); do
REPO_NAME=$(cat repositories.yaml | yq ".repositories[$REPO_INDEX].name" -r)
log_info "- $REPO_NAME - ${REPO_TAGS_ARRAY[$REPO_INDEX]}"
done
log_info "Deployment repo version - ${REPO_TAGS_ARRAY[-1]}"
if [[ "$GIT_PUSH_CONFIRMED" != "true" ]]; then
log_info "To apply changes described above, set GIT_PUSH_CONFIRMED to 'true' and rerun this script"
fi

View File

@@ -0,0 +1,20 @@
deploy_repo_url: https://github.com/Telecominfraproject/wlan-cloud-ucentral-deploy.git
repositories:
- name: owgw
url: https://github.com/Telecominfraproject/wlan-cloud-ucentralgw.git
docker_compose_name: OWGW_TAG
- name: owsec
url: https://github.com/Telecominfraproject/wlan-cloud-ucentralsec.git
docker_compose_name: OWSEC_TAG
- name: owfms
url: https://github.com/Telecominfraproject/wlan-cloud-ucentralfms.git
docker_compose_name: OWFMS_TAG
- name: owgw-ui
url: https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-ui.git
docker_compose_name: OWGWUI_TAG
# - name: owprov-ui
# url: https://github.com/Telecominfraproject/wlan-cloud-owprov-ui.git
# docker_compose_name: OWPROVUI_TAG
# - name: owprov
# url: https://github.com/Telecominfraproject/wlan-cloud-owprov.git
# docker_compose_name: OWPROV_TAG

View File

@@ -0,0 +1,22 @@
name: Ensure Jira issue is linked
on:
pull_request:
types: [opened, edited, reopened, synchronize]
jobs:
check_for_issue_key:
runs-on: ubuntu-latest
steps:
- name: Checkout actions repo
uses: actions/checkout@v2
with:
repository: Telecominfraproject/.github
path: github
- name: Run JIRA check
uses: ./github/composite-actions/enforce-jira-issue-key
with:
jira_base_url: ${{ secrets.TIP_JIRA_URL }}
jira_user_email: ${{ secrets.TIP_JIRA_USER_EMAIL }}
jira_api_token: ${{ secrets.TIP_JIRA_API_TOKEN }}

59
.github/workflows/git-release.yml vendored Normal file
View File

@@ -0,0 +1,59 @@
name: Create new release for OpenWIFI 2.x services
on:
workflow_dispatch:
inputs:
release_version:
description: 'Release version to create (i.e. v2.4.0)'
required: true
tag_type:
default: 'rc'
description: 'Tag type to create (final OR rc)'
required: true
push_confirm:
default: ''
description: 'Set to "true" if changes should be pushed (dry-run enabled by default)'
required: false
log_level:
default: 'INFO'
description: 'Log level for the script (ERROR/INFO/DEBUG)'
required: false
defaults:
run:
shell: bash
jobs:
create_release:
runs-on: ubuntu-latest
steps:
- name: Checkout repo
uses: actions/checkout@v2
with:
path: wlan-cloud-ucentral-deploy
- name: Install system dependencies
run: |
pip3 install yq
helm plugin install https://github.com/databus23/helm-diff
helm plugin install https://github.com/aslafy-z/helm-git
ls ~/.local/share/helm/plugins/helm-git/helm-git-plugin.sh || true
sed 's/--skip-refresh //' -i ~/.local/share/helm/plugins/helm-git/helm-git-plugin.sh
- name: Run release creation script
working-directory: wlan-cloud-ucentral-deploy/.github/git-release-tool
run: |
export RELEASE_VERSION=${{ github.event.inputs.release_version }}
export TAG_TYPE=${{ github.event.inputs.tag_type }}
export GIT_PUSH_CONFIRMED=${{ github.event.inputs.push_confirm }}
export LOG_VERBOSITY=${{ github.event.inputs.log_level }}
mkdir -p ~/.ssh
chmod -R 700 ~/.ssh
ssh-keyscan -H github.com >> ~/.ssh/known_hosts
echo https://tip-automation:${{ secrets.GIT_PUSH_PAT }}@github.com > ~/.git-credentials
git config --global credential.helper store
git config --global user.email "tip-automation@telecominfraproject.com"
git config --global user.name "TIP Automation User"
helm repo add bitnami https://charts.bitnami.com/bitnami
helm repo update
./git-release-tool.sh

View File

@@ -33,11 +33,11 @@ jobs:
exit 1
fi
#if [ "$(cat Chart.yaml | yq '.dependencies[].repository' -r | grep -E 'ref=(main|master)' | wc -l)" != "0" ]; then
# echo "Some of the dependencies does not have a fixed version set. List of affected dependencies:";
# cat Chart.yaml | yq '.dependencies[].repository' -r | grep -E 'ref=(main|master)';
# exit 1
#fi
if [ "$(cat Chart.yaml | yq '.dependencies[].repository' -r | grep -E 'ref=(main|master)' | wc -l)" != "0" ]; then
echo "Some of the dependencies does not have a fixed version set. List of affected dependencies:";
cat Chart.yaml | yq '.dependencies[].repository' -r | grep -E 'ref=(main|master)';
exit 1
fi
- name: Build package
working-directory: wlan-cloud-ucentral-deploy/chart

View File

@@ -1,33 +1,27 @@
dependencies:
- name: owgw
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw@helm?ref=v2.4.0
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw@helm?ref=master
version: 0.1.0
- name: owsec
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralsec@helm?ref=v2.4.0
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralsec@helm?ref=main
version: 0.1.0
- name: owfms
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralfms@helm?ref=v2.4.0
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralfms@helm?ref=main
version: 0.1.0
- name: owprov
repository: git+https://github.com/Telecominfraproject/wlan-cloud-owprov@helm?ref=main
version: 0.1.0
- name: owgwui
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-ui@helm?ref=v2.4.0
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-ui@helm?ref=main
version: 0.1.0
- name: owprovui
repository: git+https://github.com/Telecominfraproject/wlan-cloud-owprov-ui@helm?ref=main
version: 0.1.0
- name: rttys
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-rtty@chart?ref=v0.1.0
repository: git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-rtty@chart?ref=main
version: 0.1.0
- name: kafka
repository: https://charts.bitnami.com/bitnami
version: 13.0.2
- name: owls
repository: git+https://github.com/Telecominfraproject/wlan-cloud-owls@helm?ref=main
version: 0.1.0
- name: owlsui
repository: git+https://github.com/Telecominfraproject/wlan-cloud-owls-ui@helm?ref=master
version: 0.1.0
digest: sha256:3a71cf3bac846757ed3c60cce296c73c7ecdb31bef474126d4205053019f842e
generated: "2021-12-17T05:46:32.701924621+03:00"
digest: sha256:3de20b44745484d6e2980d34b3d9e95c92b93537facb2a0bb62c75e583ef444f
generated: "2021-10-26T16:27:32.319129019+03:00"

View File

@@ -2,28 +2,28 @@ apiVersion: v2
name: openwifi
appVersion: "1.0"
description: A Helm chart for Kubernetes
version: 2.4.0
version: 0.1.0
dependencies:
- name: owgw
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw@helm?ref=v2.4.0"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw@helm?ref=master"
version: 0.1.0
- name: owsec
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralsec@helm?ref=v2.4.0"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralsec@helm?ref=main"
version: 0.1.0
- name: owfms
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralfms@helm?ref=v2.4.0"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralfms@helm?ref=main"
version: 0.1.0
- name: owprov
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owprov@helm?ref=main"
version: 0.1.0
- name: owgwui
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-ui@helm?ref=v2.4.0"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-ui@helm?ref=main"
version: 0.1.0
- name: owprovui
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owprov-ui@helm?ref=main"
version: 0.1.0
- name: rttys
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-rtty@chart?ref=v0.1.0"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-rtty@chart?ref=main"
version: 0.1.0
- name: kafka
repository: https://charts.bitnami.com/bitnami
@@ -36,7 +36,3 @@ dependencies:
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owls-ui@helm?ref=master"
version: 0.1.0
condition: owlsui.enabled
- name: haproxy
repository: https://charts.bitnami.com/bitnami
version: 0.2.21
condition: haproxy.enabled

View File

@@ -30,6 +30,10 @@ spec:
app.kubernetes.io/instance: {{ .Release.Name }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
initContainers:
- name: delay
image: "alpine:latest"
command: ["/bin/sleep","{{ default 60 .Values.clustersysteminfo.delay }}"]
containers:
- name: clustersysteminfo-check
image: "{{ .Values.clustersysteminfo.images.clustersysteminfo.repository }}:{{ .Values.clustersysteminfo.images.clustersysteminfo.tag }}"

View File

@@ -66,6 +66,7 @@ kafka:
# clustersysteminfo check
clustersysteminfo:
enabled: false
#delay: 60 # number of seconds to delay clustersysteminfo execution
fullnameOverride: clustersysteminfo
@@ -126,243 +127,3 @@ owlsui:
enabled: false
fullnameOverride: owlsui
# HAproxy (https://github.com/bitnami/charts/tree/master/bitnami/haproxy)
haproxy:
enabled: false
fullnameOverride: proxy
replicaCount: 3
service:
type: LoadBalancer
ports:
# healthcheck
- name: health
protocol: TCP
port: 8080
targetPort: health
# owfms
- name: owfmsrest
protocol: TCP
port: 16004
targetPort: owfmsrest
- name: owfmsrestint
protocol: TCP
port: 17004
targetPort: owfmsrestint
# owgw
- name: owgwws
protocol: TCP
port: 15002
targetPort: owgwws
- name: owgwrest
protocol: TCP
port: 16002
targetPort: owgwrest
- name: owgwfileup
protocol: TCP
port: 16003
targetPort: owgwfileup
- name: owgwrestint
protocol: TCP
port: 17002
targetPort: owgwrestint
# owprov
- name: owprovrest
protocol: TCP
port: 16005
targetPort: owprovrest
- name: owprovrestint
protocol: TCP
port: 17005
targetPort: owprovrestint
# owsec
- name: owsecrest
protocol: TCP
port: 16001
targetPort: owsecrest
- name: owsecrestint
protocol: TCP
port: 17001
targetPort: owsecrestint
# rttys
- name: rttysdev
protocol: TCP
port: 5912
targetPort: rttysdev
- name: rttysuser
protocol: TCP
port: 5913
targetPort: rttysuser
- name: rttysweb
protocol: TCP
port: 5914
targetPort: rttysweb
containerPorts:
# healthcheck
- name: health
containerPort: 8080
# owfms
- name: owfmsrest
containerPort: 16004
- name: owfmsrestint
containerPort: 17004
# owgw
- name: owgwws
containerPort: 15002
- name: owgwrest
containerPort: 16002
- name: owgwfileup
containerPort: 16003
- name: owgwrestint
containerPort: 17002
# owprov
- name: owprovrest
containerPort: 16005
- name: owprovrestint
containerPort: 17005
# owsec
- name: owsecrest
containerPort: 16001
- name: owsecrestint
containerPort: 17001
# rttys
- name: rttysdev
containerPort: 5912
- name: rttysuser
containerPort: 5913
- name: rttysweb
containerPort: 5914
configuration: |
global
log stdout format raw local0
maxconn 1024
defaults
log global
timeout client 360s
timeout connect 60s
timeout server 360s
# healthcheck
frontend front_healthcheck
bind :8080
mode http
default_backend back_healthcheck
backend back_healthcheck
mode http
http-after-response set-header Access-Control-Allow-Origin "*"
http-after-response set-header Access-Control-Max-Age "31536000"
http-request return status 200 content-type "text/plain" string "Pong"
# owfms
frontend front_owfms_rest
bind :16004
mode tcp
default_backend back_owfms_rest
backend back_owfms_rest
mode tcp
server svc_owfms_rest owfms-owfms:16004
frontend front_owfms_rest_internal
bind :17004
mode tcp
default_backend back_owfms_rest_internal
backend back_owfms_rest_internal
mode tcp
server svc_owfms_rest_internal owfms-owfms:17004
# owgw
frontend front_owgw_websocket
bind :15002
mode tcp
default_backend back_owgw_websocket
backend back_owgw_websocket
mode tcp
server svc_owgw_websocket owgw-owgw:15002
frontend front_owgw_rest
bind :16002
mode tcp
default_backend back_owgw_rest
backend back_owgw_rest
mode tcp
server svc_owgw_rest owgw-owgw:16002
frontend front_owgw_fileuploader
bind :16003
mode tcp
default_backend back_owgw_fileuploader
backend back_owgw_fileuploader
mode tcp
server svc_owgw_fileuploader owgw-owgw:16003
frontend front_owgw_rest_internal
bind :17002
mode tcp
default_backend back_owgw_rest_internal
backend back_owgw_rest_internal
mode tcp
server svc_owgw_rest_internal owgw-owgw:17002
# owprov
frontend front_owprov_rest
bind :16005
mode tcp
default_backend back_owprov_rest
backend back_owprov_rest
mode tcp
server svc_owprov_rest owprov-owprov:16005
frontend front_owprov_rest_internal
bind :17005
mode tcp
default_backend back_owprov_rest_internal
backend back_owprov_rest_internal
mode tcp
server svc_owprov_rest_internal owprov-owprov:17005
# owsec
frontend front_owsec_rest
bind :16001
mode tcp
default_backend back_owsec_rest
backend back_owsec_rest
mode tcp
server svc_owsec_rest owsec-owsec:16001
frontend front_owsec_rest_internal
bind :17001
mode tcp
default_backend back_owsec_rest_internal
backend back_owsec_rest_internal
mode tcp
server svc_owsec_rest_internal owsec-owsec:17001
# rttys
frontend front_rttys_dev
bind :5912
mode tcp
default_backend back_rttys_dev
backend back_rttys_dev
mode tcp
server svc_rttys_dev rttys-rttys:5912
frontend front_rttys_user
bind :5913
mode tcp
default_backend back_rttys_user
backend back_rttys_user
mode tcp
server svc_rttys_user rttys-rttys:5913
frontend front_rttys_web
bind :5914
mode tcp
default_backend back_rttys_web
backend back_rttys_web
mode tcp
server svc_rttys_web rttys-rttys:5914

View File

@@ -1,9 +1,9 @@
# Image tags
COMPOSE_PROJECT_NAME=openwifi
OWGW_TAG=v2.4.0
OWGWUI_TAG=v2.4.0
OWSEC_TAG=v2.4.0
OWFMS_TAG=v2.4.0
OWGW_TAG=master
OWGWUI_TAG=main
OWSEC_TAG=main
OWFMS_TAG=main
OWPROV_TAG=main
OWPROVUI_TAG=main
RTTYS_TAG=3.5.0

View File

@@ -1,9 +1,9 @@
# Image tags
COMPOSE_PROJECT_NAME=openwifi
OWGW_TAG=v2.4.0
OWGWUI_TAG=v2.4.0
OWSEC_TAG=v2.4.0
OWFMS_TAG=v2.4.0
OWGW_TAG=master
OWGWUI_TAG=main
OWSEC_TAG=main
OWFMS_TAG=main
OWPROV_TAG=main
OWPROVUI_TAG=main
RTTYS_TAG=3.5.0

View File

@@ -1,9 +1,9 @@
# Image tags
COMPOSE_PROJECT_NAME=openwifi
OWGW_TAG=v2.4.0
OWGWUI_TAG=v2.4.0
OWSEC_TAG=v2.4.0
OWFMS_TAG=v2.4.0
OWGW_TAG=master
OWGWUI_TAG=main
OWSEC_TAG=main
OWFMS_TAG=main
OWPROV_TAG=main
OWPROVUI_TAG=main
RTTYS_TAG=3.5.0